#include <iostream>

using namespace std;

int main()
{
    long long n, m;

    cin >> n >> m;

    long long brojRedara = 0;

    brojRedara += n * 2 + (m - 2) * 2;

    brojRedara += (n * m - brojRedara) / 2;

    cout << brojRedara;

    return 0;
}